function tacho=read_sig(value)
try
fwrite(value,255);
fedx = fread(value,[2]);
fed2bin = dec2bin(fedx(1),8);
fed1bin = dec2bin(fedx(2),8);
fedbin = [fed1bin fed2bin];
out = bin2dec(fedbin);%*(2.477/1023),2);
tacho = round(scaling(0,4095,0,2.5,out),2);

catch
    error('Error communicating with the unit-Try re-intialising');
end
end